org.apache.sling.hc.util

## Class HealthCheckFilter

- java.lang.Object
- - org.apache.sling.hc.util.HealthCheckFilter

Deprecated.

    @Deprecated
     @ProviderType
    public class HealthCheckFilter
    extends Object

Select from available `HealthCheck` services. Once this filter object and the returned health check services are no longer be used `dispose()` should be called, to free the service references. This class is not thread safe and instances shouldn't be used concurrently from different threads.

### Field Summary

Fields
`static String` `OMIT_PREFIX` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`HealthCheckFilter(org.osgi.framework.BundleContext bc)` Deprecated. Create a new filter object

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `dispose()` Deprecated. Dispose all used service references
`List<HealthCheck>` `getHealthChecks(HealthCheckSelector selector)` Deprecated.
`org.osgi.framework.ServiceReference[]` `getHealthCheckServiceReferences(HealthCheckSelector selector)` Deprecated.
`org.osgi.framework.ServiceReference[]` `getHealthCheckServiceReferences(HealthCheckSelector selector, boolean combineTagsWithOr)` Deprecated.
`List<HealthCheck>` `getTaggedHealthChecks(String... tags)` Deprecated. use getHealthChecks() instead
`org.osgi.framework.ServiceReference[]` `getTaggedHealthCheckServiceReferences(boolean combineWithOr, String... tags)` Deprecated. use getHealthCheckServiceReferences() instead
`org.osgi.framework.ServiceReference[]` `getTaggedHealthCheckServiceReferences(String... tags)` Deprecated. use getHealthCheckServiceReferences() instead

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OMIT_PREFIX

    public static final String OMIT_PREFIX

Deprecated.

See Also:
  Constant Field Values

### Constructor Detail

#### HealthCheckFilter

    public HealthCheckFilter(org.osgi.framework.BundleContext bc)

Deprecated.
Create a new filter object

### Method Detail

#### getHealthChecks

    public List<HealthCheck> getHealthChecks(HealthCheckSelector selector)

Deprecated.

#### getHealthCheckServiceReferences

    public org.osgi.framework.ServiceReference[] getHealthCheckServiceReferences(HealthCheckSelector selector)

Deprecated.

#### getHealthCheckServiceReferences

    public org.osgi.framework.ServiceReference[] getHealthCheckServiceReferences(HealthCheckSelector selector,
                                                                                 boolean combineTagsWithOr)

Deprecated.

#### getTaggedHealthChecks

    @Deprecated
    public List<HealthCheck> getTaggedHealthChecks(String... tags)

Deprecated. use getHealthChecks() instead
Get all health check services with one of the supplied tags.

Returns:
  A list of services - might be the empty list if none matches

#### getTaggedHealthCheckServiceReferences

    @Deprecated
    public org.osgi.framework.ServiceReference[] getTaggedHealthCheckServiceReferences(String... tags)

Deprecated. use getHealthCheckServiceReferences() instead
Get all service references for health check services with one of the supplied tags. Uses logical "and" to combine tags.

Returns:
  An array of service references - might be an empty error if none matches

#### getTaggedHealthCheckServiceReferences

    @Deprecated
    public org.osgi.framework.ServiceReference[] getTaggedHealthCheckServiceReferences(boolean combineWithOr,
                                                                                                   String... tags)

Deprecated. use getHealthCheckServiceReferences() instead
Get all service references for health check services with one of the supplied tags.

Parameters:
  `combineWithOr` - If true will return all health checks that have at least one of the tags set. If false will return only health checks that have all given tags assigned.
  `tags` - the tags to look for
Returns:
  An array of service references - might be an empty error if none matches

#### dispose

    public void dispose()

Deprecated.
Dispose all used service references